﻿body {
    background-color: white;
}

h3 {
    color: #56bfde;
    font-family: Open Sans;
    font-weight: bold;
    font-size: 24px;
    letter-spacing: -2%;
    line-height: 132%;
    text-align: center;
}

h2 {
    color: black;
    font-family: Open Sans;
    font-weight: bold;
    font-size: 40px;
    letter-spacing: -2%;
    line-height: 124%;
    text-align: center;
    margin-top: 40px;
    margin-bottom: 25px;
}


p {
    color: black;
    font-family: Open Sans;
    font-weight: 400;
    font-size: 18px;
    line-height: 152%
}
#header--transfer {
    color: #56bfde;
    text-align: center;
    font-weight: 700;
}
small {
    color: black;
    font-family: Open Sans;
    font-weight: 400;
    font-size: 14px;
    line-height: 148%;
}

b {
    color: black;
    font-family: Open Sans;
    font-weight: 700;
    font-size: 16px;
    line-height: 152%;
}

input[type='text'], input[type='email'], input[type='select'] {
    border: none;
    border-bottom: 2px solid #56bfde;
    border-radius: 0px;
    background-color: white;
}

form {
    width: 60%;
    margin: auto;
}

.btn {
    border: solid;
    border-width: 3px;
    border-color: #001B48;
    border-radius: 10px;
    padding: 10px 50px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    font-family: Open Sans;
    font-weight: 600;
    margin: 80px 12px 5px 12px;
    cursor: pointer;
}

@media (max-width: 768px) {
    .btn {
        margin: 12px;
    }
}

.btn--theme-blue {
    background-color: #001B48;
    color: #C0E8F4;
}

    .btn--theme-blue:hover {
        background-color: #001133;
        color: #C0E8F4;
    }

.btn--theme-white {
    background-color: white;
    color: #001B48;
}

    .btn--theme-white:hover {
        background-color: #001B48;
        color: #C0E8F4;
    }

.btn--disabled {
    background-color: #DEE2E6;
    color: #A5A5A5;
    border-color: #DEE2E6;
    pointer-events: none;
}
.btn--inactive{
    pointer-events: none;
}

.transfercontent {
    max-width: 1000px;
    min-height: 800px;
    margin: auto;
    margin-top: 2%;
    background-color: white;
    padding: 10px;
    text-align: center;
}

.information-div {
    display: flex;
    justify-content: center;
    align-items: center;
}

.information-text-div {
    text-align: justify;
    text-align-last: left;
    width: 65%;
}

.block--header {
    margin-bottom: 5%;
    margin-top: 2%;
}

.container--pension-requirements {
    width: 300px;
    margin: auto;
    text-align: left;
    font-size: 16px;
}

.header--pension-requirements {
    margin-bottom: 1%;
}

.progress-bar {
    width: 40%;
    height: 10px;
    background-color: lightgray;
    border-radius: 25px 25px 25px 25px;
    margin-top: 40px;
    margin-bottom:15px;
    margin-left: auto;
    margin-right: auto;
}

.progress-bar-movement {
    width: 2%;
    height: 10px;
    background-color: #56bfde;
    border-radius: 25px 0px 0px 25px;
}

.pep-container {
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-wrap:wrap;
}

.pep-option {
    margin-right: 10px;
}

.pep-note {
    font-size: 16px;
    margin-top: 5px;
}

.checkmark--green {
    color: green;
    font-size: 24px;
    font-weight: 700;
    margin-right: 10px;
}

#link--personal-data {
    color: blue;
    text-decoration: underline;
    font-size: 12px;
}

.container--kyc-requirements {
    max-width: 600px;
    padding: 20px;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: auto;
}

.checklist--kyc {
    list-style: none;
    padding: 0;
}

    .checklist--kyc li {
        margin-bottom: 5%;
        display: flex;
    }

.item-content--kyc {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
}

.item-description--kyc {
    text-align: left;
}

.container--costs-and-fees {
    width: 28%;
    margin: auto;
    text-align: left;
}

@media (max-width: 768px) {
    .container--costs-and-fees {
        width: 80%;
    }
}

.row {
    display: flex;
    justify-content: space-between;
    margin-bottom: 20px;
}
.row__header{
    justify-content:left;
    display:block;
    width:100%;
}

.column {
    display: inline-block;
    font-size: 14px;
}

.left {
    text-align: left;
}

.right {
    text-align: right;
}

#InsuranceHolderOrgNumber a {
    color: inherit;
    text-decoration: none; 
}

/*---------------------Checkbox med Idun-styling-----------------------*/

#documents{
    margin:auto;
    display:flex;
    flex-direction:column;
    width: 50%;
    align-items: flex-start;
}

@media (max-width: 768px) {
    #documents {
        width: 100%;
    }
}

.document--links{
    color:#0000EE;
}
.document--checkbox-with-label {
    font-size: 14px;
}

.document--box-confirm {
    position: relative;
    padding-left: 35px;
    margin-bottom: 12px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    width: 30%;
    text-align: left;
    margin: auto;
}

    .document--box-confirm input {
        position: absolute;
        opacity: 0;
        height: 0;
        width: 0;
    }

.document--checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 25px;
    width: 25px;
    background-color: lightgrey;
    cursor: pointer;
}

.document--box-confirm:hover input ~ .document--checkmark {
    background-color: #56bfde;
}

.document--box-confirm input:checked ~ .document--checkmark {
    background-color: #56bfde;
}

.document--checkmark:after {
    content: "";
    position: absolute;
    display: none;
}

.document--box-confirm input:checked ~ .document--checkmark:after {
    display: block;
}

.document--box-confirm .document--checkmark:after {
    left: 9px;
    top: 5px;
    width: 5px;
    height: 10px;
    border: solid white;
    border-width: 0 3px 3px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}

/*---------------------Spinner för knappar-----------------------*/

.lds-dual-ring,
.lds-dual-ring:after {
    box-sizing: border-box;
}

.lds-dual-ring {
    display: inline-block;
    width: 20px;
    height: 20px;
   visibility:hidden;
position:absolute;
}

    .lds-dual-ring:after {
        content: " ";
        display: block;
        width: 16px;
        height: 16px;
        margin: 5px 1px 1px 10px;
        border-radius: 50%;
        border: 6.4px solid currentColor;
        border-color: currentColor transparent currentColor transparent;
        animation: lds-dual-ring 1.2s linear infinite;
    }

@keyframes lds-dual-ring {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}


 .btn-div {
     display: flex;
     justify-content: center;
 }
/*---------------------Vyerna med redigerbar info-----------------------*/
.insurance-container {
    max-width: 800px;
    margin: 50px auto;
    padding: 20px;
    border: 1px solid #ccc;
    border-radius: 8px;
}
    .insurance-container p {
        font-size: 12px;
    }
.insurance-container__form-group {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 8px 0;
    border-bottom: 1px solid #eee;
}

    .insurance-container__form-group:last-child {
        border-bottom: none;
    }
.insurance-container__form-group--hidden {
    display: none;
}
.form-group__label {
    flex: 1;
    text-align: left;
    font-size: 16px;
}

.form-group__value {
    flex: 2;
    text-align: right;
    position: relative;
    font-size: 16px;
}
.form-group__middle {
    text-align: center;
}

.form-group__editable {
    color: #007bff;
    cursor: pointer;
    text-decoration: none;
}

    .form-group__editable:hover {
        text-decoration: underline;
    }

input[type='text'].form-group__edit-input, .form-group__edit-select {
    display: none;
    width: calc(100% - 10px);
    display: none;
}

    input[type='text'].form-group__edit-input.active, .form-group__edit-select.active {
        display: inline-block;
    }
    /*---------------------Listan med flyttbart-----------------------*/
.insurance-list-card {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 20px;
    margin: 10px 0;
    border-radius: 8px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    background-color: #fff;
    font-family: Arial, sans-serif;
    font-size: 14px;
    color: #333;
}

.insurance-list-card__info-left {
    display: flex;
    flex-direction: column;
}

.insurance-list-card__company-name {
    font-weight: bold;
}

.insurance-list-card__company-details {
    color: #888;
    text-align: left;
}

.insurance-list-card__info-right {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
}

.insurance-list-card__amount-and-checkbox {
    display: flex;
    align-items: center;
    margin-top: 5px;
}

.insurance-list-card__amount {
    margin-right: 20px;
    white-space: nowrap;
}

.insurance--box-confirm {
    position: relative;
    padding-left: 35px;
    margin-bottom: 12px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    width: 30%;
    text-align: left;
    margin: auto;
}

    .insurance--box-confirm input {
        opacity: 0;
        height: 0;
        width: 0;
    }

.insurance--checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 20px;
    width: 20px;
    background-color: white;
    border: solid 1px #ccc;
    cursor: pointer;
}

.insurance--box-confirm:hover input ~ .insurance--checkmark {
    background-color: #56bfde;
}

.insurance--box-confirm input:checked ~ .insurance--checkmark {
    background-color: #56bfde;
}

.insurance--checkmark:after {
    content: "";
    position: absolute;
    display: none;
}

.insurance--box-confirm input:checked ~ .insurance--checkmark:after {
    display: block;
}

.insurance--box-confirm .insurance--checkmark:after {
    left: 7px;
    top: 1px;
    width: 4px;
    height: 9px;
    border: solid white;
    border-width: 0 3px 3px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}

.insurance-list-card__checkbox {
    width: 20px;
    height: 20px;
    border: 1px solid #ccc;
    border-radius: 4px;
    cursor: pointer;
}
    .insurance-list-card__checkbox--disabled {
        pointer-events: none;
    }
.insurance-list-card__hidden-data {
    display: none;
}

/*---------------------Signsidan-----------------------*/
#container--sign-links {
    display: flex;
    justify-content: center;
    flex-direction: column;
    max-width: 100%;
    align-items: center;
    flex-wrap: wrap;
}

.sign-card {
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    padding: 10px 20px;
    margin: 15px 0;
    border-radius: 8px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    background-color: #fff;
    color: #333;
    flex-direction: row;
    width: 60%;
    flex-wrap: wrap;
}

.sign-card__left {
    display: flex;
    justify-content: left;
    font-family: Open Sans;
    font-size: 18px;
    line-height: 148%;
    width: 25%;
}

.sign-card__middle {
    margin-left: auto;
    margin-right: auto;
    width: 50%;
}


.sign-card__right {
    width: 25%;
    display: flex;
   justify-content: center;
   align-items:center;
}

.sign-card__checkbox {
    width: 20px;
    height: 20px;
    border: 1px solid #ccc;
    border-radius: 4px;
    pointer-events: none;
    display: none;
}

.sign-card__btn--sign {
    border: solid;
    border-width: 3px;
    border-color: #001B48;
    border-radius: 10px;
    padding: 10px 50px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    font-family: Open Sans;
    font-weight: 600;
    cursor: pointer;
    background-color: #001B48;
    color: white;
}

    .sign-card__btn--sign:hover {
        background-color: #001133;
        color: #C0E8F4;
    }

    @media (max-width: 768px) {
    .sign-card {
        flex-direction: column;
        align-content:center;
    }

        .sign-card__left, .sign-card__middle, .sign-card__right {
            flex: 1 1 100%;
            text-align: center;
            margin: 5px 0;
            justify-content: center;
            width:auto;
        }


    .sign-card__btn--sign {
        padding: 10px 20px;
    }
}

    /*---------------------Tooltip-----------------------*/

i {
    font-style: normal;
    text-decoration: none;
    border: none;
    position: relative;
    font-size: 22px;
}

    i.fa-info-circle:hover::after {
        background: #56bfde;
        border-radius: 8px;
        bottom: 100%;
        content: attr(data-text);
        display: block;
        left: 100%;
        padding: 1em;
        position: absolute;
        width: max-content;
        z-index: 1;
        font-size: 12px;
        max-width: 300px;
        font-family: Open Sans;
    }

@media (max-width: 768px) {
    i.fa-info-circle:hover::after {
        max-width: 200px;
    }
}
i.fa-pencil {
    color: #007bff;
    margin-left: 5px;
}

    /*-----------------------Sidspecifika infodivvar-----------------------*/
.error-text{
    color:red;
    visibility:collapse;
}
#documents-info{
    visibility:collapse;
}
/*---------------------Checkmark spinner-----------------------*/
:root {
    --brand-success: #5cb85c;
    --loader-size: 2em;
    --check-height: calc(var(--loader-size) / 2);
    --check-width: calc(var(--check-height) / 2);
    --check-left: calc(var(--loader-size) / 6 + var(--loader-size) / 12);
    --error-left: calc(var(--loader-size) / 4);
    --check-thickness: 2px;
    --check-color: var(--brand-success);
    --error-color: red;
}

.circle-loader {
    margin: 0px 0px 0px 0px;
    border: var(--check-thickness) solid rgba(0, 0, 0, 0.2);
    border-left-color: var(--check-color);
    animation-name: loader-spin;
    animation-duration: 1s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
    position: relative;
    display: inline-block;
    vertical-align: top;
    box-sizing: content-box;
    visibility: hidden;
}

    .circle-loader,
    .circle-loader:after {
        border-radius: 50%;
        width: var(--loader-size);
        height: var(--loader-size);
    }

.load-complete {
    -webkit-animation: none;
    animation: none;
    border-color: var(--check-color);
    transition: border 500ms ease-out;
}

.load-error {
    -webkit-animation: none;
    animation: none;
    border-color: var(--error-color);
    transition: border 500ms ease-out;
}

.animated-checkmark {
    display: none;
    box-sizing: content-box;
}

.animated-checkmark.draw:after {
    opacity: 1;
    height: var(--check-height);
    width: var(--check-width);
    transform-origin: left top;
    border-right: var(--check-thickness) solid var(--check-color);
    border-top: var(--check-thickness) solid var(--check-color);
    content: "";
    left: var(--check-left);
    top: var(--check-height);
    position: absolute;
    animation-duration: 1.2s;
    animation-timing-function: ease;
    animation-name: checkmark;
    transform: scaleX(-1) rotate(135deg);
}

.animated-checkmark.error {
    position: absolute;
    left: var(--error-left);
    top: var(--error-left);
    width: calc(var(--loader-size) / 2);
    height: calc(var(--loader-size) / 2);
}

    .animated-checkmark.error:before,
    .animated-checkmark.error:after {
        position: absolute;
        content: " ";
        height: calc(var(--loader-size) / 2);
        width: 2px;
        background-color: #f00;
    }

.animated-checkmark.error:before {
    transform: rotate(45deg);
}

.animated-checkmark.error:after {
    transform: rotate(-45deg);
}

@keyframes loader-spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

@keyframes checkmark {
    0% {
        height: 0;
        width: 0;
        opacity: 1;
    }

    20% {
        height: 0;
        width: var(--check-width);
        opacity: 1;
    }

    40% {
        height: var(--check-height);
        width: var(--check-width);
        opacity: 1;
    }

    100% {
        height: var(--check-height);
        width: var(--check-width);
        opacity: 1;
    }
}

/*---------------------Rådgivare sida-----------------------*/
.div--has-advisor {
    width: 50px;
    margin: auto;
    padding-top: 10px;
}

#div--advisor-list {
    visibility:hidden;
    padding: 0px;
    
}
#div--advisor-checkbox {
    padding-top: 25px;
    
    
}
#div--show-advisor {
    margin-top: 30px;
    margin-bottom: 30px;
}

.select2-search--dropdown .select2-search__field {
    margin-bottom: 5px;
}
